Package com.macrofocus.high_d.parallelcoordinates

# Interface ParallelCoordinatesModel<Color,O,C>

All Superinterfaces:
  `com.macrofocus.visual.VisualObjects<O>`

All Known Implementing Classes:
  `AbstractParallelCoordinatesModel`, `DefaultParallelCoordinatesModel`

public interface ParallelCoordinatesModel<Color,O,C> extends com.macrofocus.visual.VisualObjects<O>
Main interface for the model part of ParallelCoordinates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParallelCoordinatesListener(ParallelCoordinatesListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<O,C>`
  `getAxisHierarchy()`
  `com.macrofocus.high_d.axis.locations.AxisLocations`
  `getAxisLocations(com.macrofocus.high_d.axis.group.AxisGroupModel group)`
  `com.macrofocus.coloring.MutableColoring<Color,O>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,O,C>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `MutableFilter<O>`
  `getFilter()`
  Obtains the model used for filtering objects in the parallel coordinates.
  `O`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<O>`
  `getProbing()`
  Obtains the model used for probing objects in the parallel coordinates (aka mouse over).
  `Iterable<com.macrofocus.high_d.axis.AxisModel>`
  `getSelectedAxis()`
  Returns the list of currently selected axis.
  `MutableSelection<O>`
  `getSelection()`
  Obtains the model used for selecting objects in the parallel coordinates.
  `ParallelCoordinatesSettings`
  `getSettings()`
  Gets the currently selected settings.
  `com.macrofocus.visual.Visual<Color,O,C>`
  `getVisual()`
  `boolean`
  `isHidden(com.macrofocus.high_d.axis.AxisModel axisModel)`
  Indicates whether an axis is visible or not.
  `void`
  `makeCommonRange(Iterable<com.macrofocus.high_d.axis.AxisModel<O,C>> axisModels)`
  `void`
  `makeDataRange(Iterable<com.macrofocus.high_d.axis.AxisModel<O,C>> axisModels)`
  `void`
  `removeParallelCoordinateListener(ParallelCoordinatesListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.
  `void`
  `resetRanges(Iterable<com.macrofocus.high_d.axis.AxisModel<O,C>> axisModels)`
  `void`
  `setHidden(com.macrofocus.high_d.axis.AxisModel axisModel, boolean hidden)`
  Turns on or off the visibility of an axis.
  `void`
  `showAllNumerical()`
  `void`
  `unhideAllAxis()`
  Make all the axis visible.

- ## Method Details

  - ### getVisual

    com.macrofocus.visual.Visual<Color,O,C> getVisual()

  - ### getProbing

    MutableSingleSelection<O> getProbing()
    Obtains the model used for probing objects in the parallel coordinates (aka mouse over).
    Returns:
      the model used for probing.

  - ### getSelection

    MutableSelection<O> getSelection()
    Obtains the model used for selecting objects in the parallel coordinates.
    Returns:
      the model used for selection.

  - ### getFilter

    MutableFilter<O> getFilter()
    Obtains the model used for filtering objects in the parallel coordinates.
    Returns:
      the model used for filtering.

  - ### getColorMapping

    com.macrofocus.colormapping.MutableColorMapping<Color,O,C> getColorMapping()
    Gets model holding the color mapping of each object.
    Returns:
      the model holding the color of each object.

  - ### getColoring

    com.macrofocus.coloring.MutableColoring<Color,O> getColoring()
    Gets model holding the colors of each object.
    Returns:
      the model holding the color of each object.

  - ### getObjectCount

    int getObjectCount()
    Returns the number of data objects (typically rows).
    Specified by:
      `getObjectCount` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Returns:
      the number of data objects

  - ### getObject

    O getObject(int index)
    Specified by:
      `getObject` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Parameters:
      `index` -
    Returns:

  - ### getSettings

    ParallelCoordinatesSettings getSettings()
    Gets the currently selected settings.
    Returns:
      the settings.

  - ### getAxisHierarchy

    com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<O,C> getAxisHierarchy()

  - ### addParallelCoordinatesListener

    void addParallelCoordinatesListener(ParallelCoordinatesListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Parameters:
      `listener` - the listener to add.

  - ### removeParallelCoordinateListener

    void removeParallelCoordinateListener(ParallelCoordinatesListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Parameters:
      `listener` - the listener to remove.

  - ### getSelectedAxis

    Iterable<com.macrofocus.high_d.axis.AxisModel> getSelectedAxis()
    Returns the list of currently selected axis.
    Returns:
      the axis that are currently selected

  - ### isHidden

    boolean isHidden(com.macrofocus.high_d.axis.AxisModel axisModel)
    Indicates whether an axis is visible or not.
    Parameters:
      `axisModel` - the axis
    Returns:
      false if it is visible; true otherwise

  - ### setHidden

    void setHidden(com.macrofocus.high_d.axis.AxisModel axisModel, boolean hidden)
    Turns on or off the visibility of an axis.
    Parameters:
      `axisModel` - the axis
      `hidden` - false if it should be visible; true otherwise

  - ### unhideAllAxis

    void unhideAllAxis()
    Make all the axis visible.

  - ### getAxisLocations

    com.macrofocus.high_d.axis.locations.AxisLocations getAxisLocations(com.macrofocus.high_d.axis.group.AxisGroupModel group)

  - ### showAllNumerical

    void showAllNumerical()

  - ### makeCommonRange

    void makeCommonRange(Iterable<com.macrofocus.high_d.axis.AxisModel<O,C>> axisModels)

  - ### makeDataRange

    void makeDataRange(Iterable<com.macrofocus.high_d.axis.AxisModel<O,C>> axisModels)

  - ### resetRanges

    void resetRanges(Iterable<com.macrofocus.high_d.axis.AxisModel<O,C>> axisModels)